# Uses of Interface
java.lang.classfile.attribute.ConstantValueAttribute

Packages that use ConstantValueAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ConstantValueAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type ConstantValueAttribute
Modifier and Type
Method
Description
`static AttributeMapper<ConstantValueAttribute>`
Attributes.`constantValue()`
Returns the mapper for the `ConstantValue` attribute.

## Uses of ConstantValueAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type ConstantValueAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`ConstantValueAttribute`
Models the `ConstantValue` attribute (JVMS §4.7.2), which indicates this field's value is a constant and that constant value.
Methods in java.lang.classfile.attribute that return ConstantValueAttribute
Modifier and Type
Method
Description
`static ConstantValueAttribute`
ConstantValueAttribute.`of(ConstantValueEntry value)`
Returns a `ConstantValue` attribute.
`static ConstantValueAttribute`
ConstantValueAttribute.`of(ConstantDesc value)`
Returns a `ConstantValue` attribute.